<?php
require("config/koneksi.php");
require("config/function.php");
require("config/crud.php");

	$tanggal = date('Y-m-d');
	$jam = date('H:i:s');
	$bulan = date('m');
	$tahun    = date('Y');
$jam_masuk  = strtotime($setting['jam_masuk']);
$jam_datang = strtotime($jam);
												
$selisih  = $jam_datang - $jam_masuk;
 
if($selisih > 0){
	$jam   = floor($selisih / (60 * 60));
	$menit = $selisih - ( $jam * (60 * 60) );
	$detik = $selisih % 60;
	$ket =  'Terlambat '.$jam .  ' jam, ' . floor( $menit / 60 ) . ' menit, ' . $detik . ' detik';
}else{
$ket = "Tepat Waktu";	
}		

	$nokartu = $_POST['uid'];
	$nokartu = str_replace("\r", '', $nokartu);
	$tglabsen = date('d M Y H:i:s');
	
	mysqli_query($koneksi, "TRUNCATE tmpreg");
    $status = mysqli_fetch_array(mysqli_query($koneksi, "SELECT * FROM status"));	

$query = mysqli_query($koneksi, "select * from datareg where barkode='$nokartu'");
$cek = mysqli_num_rows($query);
$data = mysqli_fetch_array($query);
$nama = $data['nama'];
   if ($cek ==0) {
	echo "TIDAK TERDAFTAR";
	$exec = mysqli_query($koneksi,"INSERT INTO tmpreg(nokartu) VALUES('$nokartu')");
	mysqli_close($koneksi);
		}else{
	
		echo $nama;	
		$siswa = mysqli_fetch_array(mysqli_query($koneksi, "SELECT * FROM siswa WHERE id_siswa='$data[idsiswa]'"));
		$kelas = $siswa['kelas'];
		$nowa = $siswa['nowa'];

		$cari_absen = mysqli_query($koneksi, "select * from absensi where nokartu='$nokartu' and tanggal='$tanggal'");
		$jumlah_absen = mysqli_num_rows($cari_absen);
			
		if($status['mode']=='1' AND $jumlah_absen==0):
			if($data['level']=='pegawai'){
			mysqli_query($koneksi, "insert into absensi(nokartu,tanggal,idguru, masuk, ket, bulan,tahun,level,keterangan)values('$nokartu','$tanggal','$data[idguru]', '$jam','H', '$bulan','$tahun','$data[level]','$ket')");		
			}else{
				 $koneksi->query("INSERT INTO  absensi(nokartu,tanggal,idsiswa,kelas,masuk,ket,bulan,tahun,level)values('$nokartu','$tanggal', '$data[idsiswa]', '$kelas', '$jam','H', '$bulan','$tahun','$data[level]')");			
				 $id = $koneksi->insert_id;
			}
		endif;
		if($status['mode']=='2'):
			mysqli_query($koneksi, "update absensi set pulang='$jam' where nokartu='$nokartu' and tanggal='$tanggal'");
			endif;

}
			?>